Subject: Re: bug#77715: [PATCH] Add ring-bell functions for mode line and header line.

From: Ship Mints <[email-masked]>
Date: Wed, 30 Apr 2025 10:09:36 -0400

On Wed, Apr 30, 2025 at 10:06 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Ship Mints <[email-masked]>
> > Date: Wed, 30 Apr 2025 09:52:44 -0400
> > Cc: [email-masked], [email-masked], [email-masked]
> >
> > On Wed, Apr 30, 2025 at 9:41 AM Eli Zaretskii <[email-masked]> wrote:
> >
> >  > From: Ship Mints <[email-masked]>
> >  > Date: Wed, 30 Apr 2025 09:10:05 -0400
> >  > Cc: Eli Zaretskii <[email-masked]>, [email-masked],
> [email-masked]
> >  >
> >  > Face flashing isn't a feature of bell ringing, it's the opposite.
> >
> >  ??? Then why is ring-bell-functions being mentioned?
> >
> >  > I'd consider putting the face flashing code with
> >  > face-related code so it's clear faces can be flashed anywhere for any
> reason the users want.
> >
> >  But this code is not general enough for that.  It was written
> >  explicitly for additional optional values for ring-bell-functions, as
> >  the doc strings say.
> >
> > The prototype was derived from private code used in this narrow case but
> if we're going to adopt the
> > functionality in core, I think we go the extra mile to make it
> appropriately general.
>
> But then the entire implementation should be revisited and reviewed
> with that generality in mind.  So please let's talk about that.  Could
> you or someone else please describe what general features are meant to
> be implemented based on this functionality?
>

I think of face flashing as the face equivalent to '
pulse-momentary-highlight-region'.